Subject: Re: [RFC] net: esp: fix bad handling of pages from page_pool

From: Jakub Kicinski <[email-masked]>
Date: Wed, 6 Mar 2024 09:41:33 -0800

On Wed, 6 Mar 2024 17:09:57 +0000 Dragos Tatulea wrote:
> > Does the caller need to check skb->pp_recycle? pp_recycle seems like a
> > redundant bit. We can tell whether the page is pp by checking
> > is_pp_page(page). the pages in the frag must be pp pages when
> > skb->pp_recycle is set and must be non pp pages when the
> > skb->pp_recycle is not set, so it all seems redundant to me.
> >   
> AFAIU we don't have to check for pp_recycle, at least not in this specific case.

Definitely not something we assuming in a fix that needs to go 
to stable.

So far, AFAIU, it's legal to have an skb without skb->pp_recycle
set, which holds full page refs to a PP page.